Loading...
Searching...
No Matches
Halide::RuntimeError Struct Referencefinal

An error that occurs while running a JIT-compiled Halide pipeline. More...

`#include <Error.h>`

Inheritance diagram for Halide::RuntimeError:

## Public Member Functions

| RuntimeError (const char *msg)
| RuntimeError (const std::string &msg)
Public Member Functions inherited from Halide::Error
| Error ()=delete
| Error (const char *msg)
| Error (const std::string &msg)
| Error (const Error &)
Error & | operator= (const Error &)
| Error (Error &&) noexcept
Error & | operator= (Error &&) noexcept
virtual | ~Error ()
virtual const char * | what () const noexcept

## Static Public Attributes

static constexpr auto | error_name = "Runtime error"

## Detailed Description

An error that occurs while running a JIT-compiled Halide pipeline.

Definition at line 49 of file Error.h.

## Constructor & Destructor Documentation

## RuntimeError() [1/2]

Halide::RuntimeError::RuntimeError | ( | const char * | msg | ) |

explicit

## RuntimeError() [2/2]

Halide::RuntimeError::RuntimeError | ( | const std::string & | msg | ) |

explicit

## Member Data Documentation

## error_name

auto Halide::RuntimeError::error_name = "Runtime error"

static constexpr

Definition at line 50 of file Error.h.

The documentation for this struct was generated from the following file:

- src/Error.h